/*
 * Fichero:     ComercioP2P.java
 * Fecha:       26/11/2006
 * Autor:       Alvaro Sarmiento Losada
 * Asignatura:  Proyecto Fin de Carrera
 * Descripción: Clase que invoca a la interfaz ComercioP2P.
 *             
 *
 * Este fichero pertenece al proyecto fin de carrera del autor,
 * consistente en el estudio de JXTA y su aplicación al comercio 
 * electrónico b2b.
 */
package com.pfc.comercio.p2p;


import com.pfc.lib.p2p.GrupoDePeers;

/**
 * Clase muy simple en donde se invoca y se ejecuta al servidor de un servicio JXTA
 * @author  Alvaro Sarmiento Losada
 */
public class ServidorComercio {
	
	ComercioP2P servicio=null;
	
	/** Se realiza una instancia de este objeto , en donde a su vez se hace la instancia 
	 * 	de la clase que es servidor del servicio JXTA
	 * 
	 * @param grupo El grupo de peers al que pertenece el peer que lo ejecuta
	 */
	public ServidorComercio(GrupoDePeers grupo){
		servicio = new ComercioP2P(grupo);
		
	}
	
	/** Permite inicializar el servicio*/
	public void inicializar(){
		try{
			servicio.inicializarServicio();
		}catch(Exception e){
			e.printStackTrace(System.out);
		}
	}
	
	/** Se ejecuta el servicio*/
	public void ejecutar(){
		servicio.ejecutarServicio();
	}
}
